commit:     158b06925a908b50e0616c2c7e03758cc54ee407
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 30 09:13:06 2024 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Mon Sep 30 09:13:06 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=158b0692

sys-kernel/dracut: restore 060_pre20240104-r4

We're still missing hppa stable keywords.

Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 sys-kernel/dracut/Manifest                         |   1 +
 sys-kernel/dracut/dracut-060_pre20240104-r4.ebuild | 158 +++++++++++++++++++++
 2 files changed, 159 insertions(+)

diff --git a/sys-kernel/dracut/Manifest b/sys-kernel/dracut/Manifest
index ac759a152bde..93fcb1e769ad 100644
--- a/sys-kernel/dracut/Manifest
+++ b/sys-kernel/dracut/Manifest
@@ -1 +1,2 @@
+DIST dracut-060_pre20240104.tar.gz 499965 BLAKE2B 
935e0e5da348426d69c6dab6b91078f126cadd9ffc6a32378e79cd93b1dbadff35899efc3786fc12bf5a6741843d3637b0c98cc71fe4a96a8caf053ae887bac3
 SHA512 
f7818265f082e9c05ebb81a91b67fb9b1d3bf8b2433b7e6ea9be6bee43d28cd1ee48577648e1d9b3729c17608b028d294c13bf5d4db4cc5a18e3b007eb2cd67e
 DIST dracut-103.tar.gz 567713 BLAKE2B 
7781c0b7fc83a2c0c461f6398687e053226b489fb5405b3132b30d8e7a4f3cea2bb73aa0fe6e4c4b27187d6270ba623f403916ec38025a912930ae347a7e25ce
 SHA512 
ba0dbefbcbecb09c44ce240664bc4f4ee25dfb8be7bc060028ae3b1ccf7d70410491c105e64fcef3d6f44d2794cb6162bcea9404125906be46bf3dff098e0277

diff --git a/sys-kernel/dracut/dracut-060_pre20240104-r4.ebuild 
b/sys-kernel/dracut/dracut-060_pre20240104-r4.ebuild
new file mode 100644
index 000000000000..37f2df1f08ff
--- /dev/null
+++ b/sys-kernel/dracut/dracut-060_pre20240104-r4.ebuild
@@ -0,0 +1,158 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit bash-completion-r1 edo optfeature systemd toolchain-funcs
+
+if [[ ${PV} == 9999 ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/dracutdevs/dracut";
+else
+       if [[ ${PV} == *_p* ]] ; then
+               EGIT_COMMIT="4980bad34775da715a2639b736cba5e65a8a2604"
+               
SRC_URI="https://github.com/dracutdevs/dracut/archive/${EGIT_COMMIT}.tar.gz -> 
${P}.tar.gz"
+               S="${WORKDIR}"/${PN}-${EGIT_COMMIT}
+       else
+               
SRC_URI="https://github.com/dracutdevs/dracut/archive/refs/tags/${PV}.tar.gz -> 
${P}.tar.gz"
+       fi
+fi
+
+DESCRIPTION="Generic initramfs generation tool"
+HOMEPAGE="https://github.com/dracutdevs/dracut/wiki";
+
+LICENSE="GPL-2"
+SLOT="0"
+if [[ "${PV}" != *_rc* ]]; then
+       KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~m68k ~mips ppc ppc64 
~riscv sparc x86"
+fi
+IUSE="selinux test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       app-alternatives/cpio
+       >=app-shells/bash-4.0:0
+       sys-apps/coreutils[xattr(-)]
+       >=sys-apps/kmod-23[tools]
+       || (
+               >=sys-apps/sysvinit-2.87-r3
+               sys-apps/openrc[sysv-utils(-),selinux?]
+               sys-apps/systemd[sysv-utils]
+               sys-apps/s6-linux-init[sysv-utils(-)]
+       )
+       >=sys-apps/util-linux-2.21
+       virtual/pkgconfig[native-symlinks(+)]
+       virtual/udev
+
+       elibc_musl? ( sys-libs/fts-standalone )
+       selinux? (
+               sec-policy/selinux-dracut
+               sys-libs/libselinux
+               sys-libs/libsepol
+       )
+"
+DEPEND="
+       >=sys-apps/kmod-23
+       elibc_musl? ( sys-libs/fts-standalone )
+"
+
+BDEPEND="
+       app-text/asciidoc
+       app-text/docbook-xml-dtd:4.5
+       >=app-text/docbook-xsl-stylesheets-1.75.2
+       >=dev-libs/libxslt-1.1.26
+       virtual/pkgconfig
+"
+
+QA_MULTILIB_PATHS="usr/lib/dracut/.*"
+
+PATCHES=(
+       "${FILESDIR}"/gentoo-ldconfig-paths-r1.patch
+       "${FILESDIR}"/dracut-060-fix-resume-hostonly.patch
+       "${FILESDIR}"/dracut-060-grub-layout.patch
+       "${FILESDIR}"/dracut-060-systemd-255.patch
+       
"${FILESDIR}"/dracut-059-install-new-systemd-hibernate-resume.service.patch
+)
+
+src_configure() {
+       local myconf=(
+               --prefix="${EPREFIX}/usr"
+               --sysconfdir="${EPREFIX}/etc"
+               --bashcompletiondir="$(get_bashcompdir)"
+               --systemdsystemunitdir="$(systemd_get_systemunitdir)"
+       )
+
+       tc-export CC PKG_CONFIG
+
+       edo ./configure "${myconf[@]}"
+}
+
+src_test() {
+       if [[ ${EUID} != 0 ]]; then
+               # Tests need root privileges, bug #298014
+               ewarn "Skipping tests: Not running as root."
+       elif [[ ! -w /dev/kvm ]]; then
+               ewarn "Skipping tests: Unable to access /dev/kvm."
+       else
+               emake -C test check
+       fi
+}
+
+src_install() {
+       local DOCS=(
+               AUTHORS
+               NEWS.md
+               README.md
+               docs/README.cross
+               docs/README.generic
+               docs/README.kernel
+               docs/SECURITY.md
+       )
+
+       default
+
+       docinto html
+       dodoc dracut.html
+}
+
+pkg_postinst() {
+       optfeature "Networking support" net-misc/networkmanager
+       optfeature "Legacy networking support" net-misc/curl 
"net-misc/dhcp[client]" \
+               sys-apps/iproute2 "net-misc/iputils[arping]"
+       optfeature "Scan for Btrfs on block devices"  sys-fs/btrfs-progs
+       optfeature "Load kernel modules and drop this privilege for real init" \
+               sys-libs/libcap
+       optfeature "Support CIFS" net-fs/cifs-utils
+       optfeature "Decrypt devices encrypted with cryptsetup/LUKS" \
+               "sys-fs/cryptsetup[-static-libs]"
+       optfeature "Support for GPG-encrypted keys for crypt module" \
+               app-crypt/gnupg
+       optfeature \
+               "Allows use of dash instead of default bash (on your own risk)" 
\
+               app-shells/dash
+       optfeature \
+               "Allows use of busybox instead of default bash (on your own 
risk)" \
+               sys-apps/busybox
+       optfeature "Support iSCSI" sys-block/open-iscsi
+       optfeature "Support Logical Volume Manager" sys-fs/lvm2[lvm]
+       optfeature "Support MD devices, also known as software RAID devices" \
+               sys-fs/mdadm sys-fs/dmraid
+       optfeature "Support Device Mapper multipathing" sys-fs/multipath-tools
+       optfeature "Plymouth boot splash"  '>=sys-boot/plymouth-0.8.5-r5'
+       optfeature "Support network block devices" sys-block/nbd
+       optfeature "Support NFS" net-fs/nfs-utils net-nds/rpcbind
+       optfeature \
+               "Install ssh and scp along with config files and specified 
keys" \
+               virtual/openssh
+       optfeature "Enable logging with rsyslog" app-admin/rsyslog
+       optfeature "Support Squashfs" sys-fs/squashfs-tools
+       optfeature "Support TPM 2.0 TSS" app-crypt/tpm2-tools
+       optfeature "Support Bluetooth (experimental)" net-wireless/bluez
+       optfeature "Support BIOS-given device names" sys-apps/biosdevname
+       optfeature "Support network NVMe" sys-apps/nvme-cli app-misc/jq
+       optfeature \
+               "Enable rngd service to help generating entropy early during 
boot" \
+               sys-apps/rng-tools
+       optfeature "automatically generating an initramfs on each kernel 
installation" \
+               "sys-kernel/installkernel[dracut]"
+}

Reply via email to